#ifndef HPP_HIK_TOOLS_H
#define HPP_HIK_TOOLS_H

#include "MatrixAbstractLayer/MatrixAbstractLayer.h"


class ChppHikTools
{
    public :

        static void M3toEulerZYX(matrix3d& inRot, vector3d& outEuler);
      
        static bool Matrix4dFromVec(const vectorN& inVec, matrix4d& outH);

        static void splitM4(const matrix4d& inM, matrix3d& outR, vector3d& outV);

    private:

        static double attEps;
};

#endif

